Bug 109350 - [CI][SHARDS] igt@kms_cursor_crc@cursor-alpha-(opaque|transparent) - fail - Failed assertion: !mismatch
Summary: [CI][SHARDS] igt@kms_cursor_crc@cursor-alpha-(opaque|transparent) - fail - Fa...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Maarten Lankhorst
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-14 10:57 UTC by Martin Peres
Modified: 2019-07-02 11:55 UTC (History)
2 users (show)

See Also:
i915 platform: ALL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-01-14 10:57:11 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-glk3/igt@kms_cursor_crc@cursor-alpha-transparent.html

Starting subtest: cursor-alpha-transparent
(kms_cursor_crc:1122) igt_debugfs-CRITICAL: Test assertion failure function igt_assert_crc_equal, file ../lib/igt_debugfs.c:419:
(kms_cursor_crc:1122) igt_debugfs-CRITICAL: Failed assertion: !mismatch
Comment 1 CI Bug Log 2019-01-14 10:57:43 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* All machines: igt@kms_cursor_crc@cursor-alpha-(opaque|transparent) - fail - Failed assertion: !mismatch
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-apl3/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-apl4/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-glk6/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-glk9/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-hsw1/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-kbl4/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-kbl6/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-snb7/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2178/shard-snb7/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-apl1/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-apl4/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-glk5/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-glk7/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-hsw3/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-hsw8/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-iclb3/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-iclb7/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-kbl5/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-kbl6/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-skl10/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-skl4/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-snb1/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4765/shard-snb7/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-apl-guc/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-apl-guc/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bdw-5557u/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bdw-5557u/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bdw-gvtdvm/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bdw-gvtdvm/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-blb-e6850/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-blb-e6850/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bsw-kefka/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bsw-kefka/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bsw-n3050/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bsw-n3050/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bwr-2160/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bwr-2160/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bxt-j4205/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-bxt-j4205/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-byt-clapper/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-byt-clapper/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-byt-j1900/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-byt-j1900/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-byt-n2820/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-byt-n2820/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-cfl-8109u/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-cfl-8109u/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-cfl-8700k/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-cfl-8700k/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-cfl-guc/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-cfl-guc/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-elk-e7500/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-elk-e7500/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-gdg-551/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-gdg-551/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-glk-dsi/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-glk-dsi/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-glk-j4005/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-glk-j4005/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-hsw-4770/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-hsw-4770/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-icl-u2/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-icl-u3/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-icl-u3/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-ilk-650/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-ilk-650/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-ivb-3520m/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-ivb-3520m/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-ivb-3770/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-ivb-3770/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-7500u/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-7500u/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-7560u/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-7560u/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-7567u/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-7567u/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-r/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-r/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-x1275/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-kbl-x1275/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-pnv-d510/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-skl-6600u/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-skl-6600u/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-skl-6700hq/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-skl-6700hq/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-skl-guc/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-skl-guc/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-skl-gvtdvm/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-skl-gvtdvm/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-snb-2600/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-snb-2600/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-whl-u/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_193/fi-whl-u/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-apl5/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-apl7/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-glk4/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-glk8/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-hsw3/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-hsw5/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-iclb5/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-iclb6/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-kbl3/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-kbl6/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-skl2/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-skl5/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-snb6/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5411/shard-snb6/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-apl7/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-glk3/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-glk7/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-hsw6/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-hsw7/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-iclb2/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-iclb3/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-kbl1/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-kbl3/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-skl2/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-skl7/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-snb2/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5412/shard-snb6/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-apl1/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-apl5/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-glk4/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-glk6/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-hsw3/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-hsw8/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-iclb2/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-iclb5/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-kbl2/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-kbl6/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-skl2/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-skl5/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-snb2/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5413/shard-snb2/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-apl2/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-apl6/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-glk6/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-glk7/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-hsw5/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-hsw7/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-kbl1/igt@kms_cursor_crc@cursor-alpha-transparent.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-kbl6/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-snb4/igt@kms_cursor_crc@cursor-alpha-opaque.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2209/shard-snb7/igt@kms_cursor_crc@cursor-alpha-transparent.html
Comment 2 Juha-Pekka Heikkilä 2019-02-04 12:17:33 UTC
These failing tests were introduced at

commit fde4dce431bf324939a982017169214e0fa00d4f
Author: Mamta Shukla <mamtashukla555@gmail.com>
Date: Thu Jan 10 03:02:39 2019 +0530


tests/kms_cursor_crc: Add test to check extreme alpha values for cursor plane
 
 Add test to check extreme alpha values i.e. fully opaque and fully transparent
 for cursor plane and verify by calculating hardware and software CRC.
 
 Signed-off-by: Mamta Shukla <mamtashukla555@gmail.com>
 Reviewed-by: Harry Wentland <harry.wentland@amd.com>


I don't find any log saying these tests ever passed on any machine, including report at patchwork https://patchwork.freedesktop.org/series/54465/
Comment 3 Martin Peres 2019-02-04 12:59:06 UTC
(In reply to Juha-Pekka Heikkilä from comment #2)
> These failing tests were introduced at
> 
> commit fde4dce431bf324939a982017169214e0fa00d4f
> Author: Mamta Shukla <mamtashukla555@gmail.com>
> Date: Thu Jan 10 03:02:39 2019 +0530
> 
> 
> tests/kms_cursor_crc: Add test to check extreme alpha values for cursor plane
>  
>  Add test to check extreme alpha values i.e. fully opaque and fully
> transparent
>  for cursor plane and verify by calculating hardware and software CRC.
>  
>  Signed-off-by: Mamta Shukla <mamtashukla555@gmail.com>
>  Reviewed-by: Harry Wentland <harry.wentland@amd.com>
> 
> 
> I don't find any log saying these tests ever passed on any machine,
> including report at patchwork https://patchwork.freedesktop.org/series/54465/

Did you assign Harry to make sure it passes at least on AMD HW?

Looking at the tests' code, I think that there might be some internal conversions happening inside Intel's HW that leads to a slightly-different output than what cairo is doing. We should talk to Ville about this to see if we can mitigate the issue, or find a new way to implement the test while keeping the intent.

In any case, this is a little dodgy to assign failures happening on Intel HW to AMD engineers without justification other than "they added the added the new test". IGT is not Intel-specific anymore and we definitely want other companies to contribute to it by writing more generic tests (KMS) or HW-specific ones.

Maybe we should have collaborated more when the test was added, to allow some intel engineers to review the failure result ahead of the merge. Most of the failure is on me, because the report said "Success" and it does not make it easy to see the regression (https://patchwork.freedesktop.org/series/54465/). Here is the relevant part:

#### Suppressed ####

  The following results come from untrusted machines, tests, or statuses.
  They do not affect the overall result.

  * {igt@kms_cursor_crc@cursor-alpha-opaque}:
    - shard-kbl:          NOTRUN -> FAIL +1
    - shard-apl:          NOTRUN -> FAIL +1
    - shard-snb:          NOTRUN -> FAIL +1

  * {igt@kms_cursor_crc@cursor-alpha-transparent}:
    - shard-hsw:          NOTRUN -> FAIL +1
    - shard-glk:          NOTRUN -> FAIL +1

This is because new tests are automatically considered as suppressed because we do not know how stable they are. However, we discussed today how we want to make the results of new tests stand out in the report (MISSING -> $WHATEVER). I'll be working on this with Tomi Sarvela during the week, since we should be mostly ready to enable this.

Let's wait for Harry to confirm the tests at least pass on their HW, and we can try to figure out why we get a difference between the SW and HW CRC (to reuse the test's terminology).

This bug is quite a nice case :) Exciting times!
Comment 4 Petri Latvala 2019-02-04 13:06:14 UTC
commit 7d65ed2f230fd5cd0e2670d26db971cea885c493
Author: Mamta Shukla <mamtashukla555@gmail.com>
Date:   Sun Feb 3 20:08:03 2019 +0530

    tests/kms_cursor_crc.c: Improve test_cursor_alpha()
Comment 5 Harry Wentland 2019-02-04 16:31:45 UTC
Apologies for the noise. This was work from my outreachy intern. I should've checked it properly but didn't.

Glad things are looking good now.
Comment 6 Martin Peres 2019-03-06 18:37:06 UTC
(In reply to Harry Wentland from comment #5)
> Apologies for the noise. This was work from my outreachy intern. I should've
> checked it properly but didn't.
> 
> Glad things are looking good now.

No worries!

(In reply to Petri Latvala from comment #4)
> commit 7d65ed2f230fd5cd0e2670d26db971cea885c493
> Author: Mamta Shukla <mamtashukla555@gmail.com>
> Date:   Sun Feb 3 20:08:03 2019 +0530
> 
>     tests/kms_cursor_crc.c: Improve test_cursor_alpha()

Well, seems like it did not really fix it entirely. We still have failures happening pretty much every run on APl and GLK.
Comment 7 Arek Hiler 2019-04-05 11:37:37 UTC
@Harry: is the test passing on AMD hardware?

If it is then I guess we are doing blending slightly differently than cairo, as it fails reliably for us.

I would need to dump the frame using Chamelium and compare it against reference to be sure.

If the cursor is visually ok but there are slight differences I guess we would have to blacklist the test for intel-ci, unless we implement our own blending mimicking what HW is doing...
Comment 8 Arek Hiler 2019-04-05 11:42:11 UTC
Seems like the test is passing from time to time, so it's not a 100% repro for us. Definitely needs further investigation.
Comment 9 Lakshmi 2019-04-05 11:51:29 UTC
It works reliably on some Intel platforms. This is on us now.
Comment 10 Daniel Vetter 2019-04-16 13:05:41 UTC
Cursor seems to be working in general, but then this alpha testcase is the only testcase we have in igt (and hence automated CI) to make sure transparent cursors work. Hence from a sw quality assurance point of view we need to get this fixed.

Issue might be hw or (imo more likely still) corner case issue in the igt.

Note that if this would get broken somehow for real (which atm we can't tell because of the noise) it could result in cursors with a ghosting box around them, which is really annoying. It's how we discovered that gen9 universal planes have broken alpha blending, and why we're not using them for cursors. So from a user impact point we really need to be able to validate this properly and using automated igt.
Comment 11 Maarten Lankhorst 2019-05-02 09:54:17 UTC
Failure rate seems to be pretty low now, just noise.

Probably fixed by

commit 26eeea1506838c77524fa90c8e6f1cc246762a4a
Author: Aditya Swarup <aditya.swarup@intel.com>
Date:   Wed Mar 6 18:14:12 2019 -0800

    drm/i915/icl: Fix CRC mismatch error for DP link layer compliance
Comment 12 Jani Saarinen 2019-05-02 15:29:34 UTC
So, Maarten is saying that for ICL this issue might have been fixed as previously issue was seen on every builds and looking history for ICL we stopped seeing this after drmtip_209 and shards after IGT_4917_Full.
Comment 13 Maarten Lankhorst 2019-05-29 10:50:37 UTC
Last seen more than 1 month ago and happened reliably before, closing.
Comment 14 CI Bug Log 2019-07-02 11:55:49 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.